(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#CCCCCC",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,238);


(lib.zakreslenie = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#4BB3AB").ss(2.9,1,1).p("AjYiNIAAEbQAAAfAWAWQAWAWAfAAIEbAAQAfAAAWgWQAWgWAAgfIAAkbQAAgfgWgWQgWgWgfAAIkbAAQgfAAgWAWQgWAWAAAfg");

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AiNDZQgfAAgWgWQgWgWAAgfIAAkbQAAgfAWgWQAWgWAfAAIEbAAQAfAAAWAWQAWAWAAAfIAAEbQAAAfgWAWQgWAWgfAAg");

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-23.2,-23.1,46.3,46.3);
p.frameBounds = [rect];


(lib.gfx_select_mc = function() {
	this.initialize();

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#009999").s().p("AhIAgIhfihQANAGAdAVQAkAbAVAVIA9A2QgggdBkhaQBlhbAGAcQgTAUgXAiQgvBCgYBCQgJAZgZBYQgUBIgBAAQgyhwgWgtg");

	this.addChild(this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-16.8,-19,33.6,38);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(32.4,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(32.4,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap10();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(29.9,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(29.9,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap9();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(32.4,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(32.4,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap8();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(29.9,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(29.9,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap7();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(27.4,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(27.4,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap6();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(32.4,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(32.4,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap5();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(32.9,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(32.9,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap4();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(30.4,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(30.4,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap3();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(32.9,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(32.9,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap2();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(30.4,194.6);

	this.instance = new lib.zakreslenie();
	this.instance.setTransform(30.4,196.5,0.889,0.889);

	this.instance_1 = new lib.Bitmap1();

	this.addChild(this.instance_1,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,226,238);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '32217',
			title: 'Zaznacz obrazki, które wskazują na oszczędzanie ciepła.',
			type: 'select',
			container: this,
			/*
			groups: {		
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/
			prefix: 'select_',
			results: [
				/*s_1:*/ '0',
				/*s_2:*/ '0', 	
				/*s_3:*/ '0',		
				/*s_4:*/ '1',	
				/*s_5:*/ '1',	
				/*s_6:*/ '1',
				/*s_7:*/ '1',	
				/*s_8:*/ '0',	
				/*s_9:*/ '0',	
				/*s_10:*/ '1',	
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 1,
			//zindex: 0,
			exerciseAfterInit: function (container) {
			},
			exerciseBeforeFinish: function(container) {		
			},
			exerciseExtraCheck: function(container) {		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// select
	this.select_10 = new lib.Symbol10();
	this.select_10.setTransform(1129,488,1,1,0,0,0,113,119);

	this.select_9 = new lib.Symbol9();
	this.select_9.setTransform(881.5,488,1,1,0,0,0,113,119);

	this.select_8 = new lib.Symbol8();
	this.select_8.setTransform(634,488,1,1,0,0,0,113,119);

	this.select_7 = new lib.Symbol7();
	this.select_7.setTransform(386.5,488,1,1,0,0,0,113,119);

	this.select_6 = new lib.Symbol6();
	this.select_6.setTransform(139,488,1,1,0,0,0,113,119);

	this.select_5 = new lib.Symbol5();
	this.select_5.setTransform(1129,228,1,1,0,0,0,113,119);

	this.select_4 = new lib.Symbol4();
	this.select_4.setTransform(881.5,228,1,1,0,0,0,113,119);

	this.select_3 = new lib.Symbol3();
	this.select_3.setTransform(634,228,1,1,0,0,0,113,119);

	this.select_2 = new lib.Symbol2();
	this.select_2.setTransform(386.5,228,1,1,0,0,0,113,119);

	this.select_1 = new lib.Symbol1();
	this.select_1.setTransform(139,228,1,1,0,0,0,113,119);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.select_1},{t:this.select_2},{t:this.select_3},{t:this.select_4},{t:this.select_5},{t:this.select_6},{t:this.select_7},{t:this.select_8},{t:this.select_9},{t:this.select_10}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(26,109,1216,498);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(922.2,391.2,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(671.7,471.1,1216,498);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;